move to PHP-7.4 as current GA
[m6w6/ext-http] / scripts / gen_travis_yml.php
index f393bbc..71a855b 100755 (executable)
@@ -27,10 +27,10 @@ env:
 <?php
 
 $gen = include "./travis/pecl/gen-matrix.php";
-$cur = "7.3";
+$cur = "7.4";
 $env = $gen([
 // most useful for all additional versions except current
-       "PHP" => ["7.0", "7.1", "7.2", "7.4", "master"],
+       "PHP" => ["7.0", "7.1", "7.2", "7.3", "master"],
        "enable_debug" => "yes",
        "enable_maintainer_zts" => "yes",
        "enable_json" => "yes",
@@ -83,7 +83,7 @@ matrix:
  allow_failures:
 <?php
 $allow_failures = array_merge( ... array_map(function($a) {
-       return preg_grep('/^PHP=(master|7.4) /', $a);
+       return preg_grep('/^PHP=(master) /', $a);
 }, $env));
 foreach ($allow_failures as $e) {
        printf("  - env: %s\n", $e);